# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/timer/mrvl,mmp-timer.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell MMP Timer bindings

maintainers:
  - Daniel Lezcano <daniel.lezcano@linaro.org>
  - Thomas Gleixner <tglx@linutronix.de>
  - Rob Herring <robh+dt@kernel.org>

properties:
  $nodename:
    pattern: '^timer@[a-f0-9]+$'

  compatible:
    const: mrvl,mmp-timer

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    timer@d4014000 {
        compatible = "mrvl,mmp-timer";
        reg = <0xd4014000 0x100>;
        interrupts = <13>;
        clocks = <&coreclk 2>;
    };

...
